Summary:	Free Audio Editor With Effects/Analysis Tools
Name:		audacity
Version:	2.2.1
Release:	1
License:	GPLv2+
Group:		Sound
Url:		http://www.audacityteam.org
Source0:	http://www.fosshub.com/Audacity.html/%{name}-minsrc-%{version}.tar.xz
# TODO: update russian translation
# Was needed for 2.2.0
Source1:	audacity2.2.0_ru.mo
Patch0:		%{name}-2.2.0-fix-wxgtk3-detection.patch
#BuildRequires:	autoconf2.5
BuildRequires:	autoconf
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
#for compressing the help file:
BuildRequires:	zip
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	jpeg-devel
BuildRequires:	ladspa-devel
# Patents on mp3 expired in April 2017
BuildRequires:	lame-devel
BuildRequires:	wxgtku3.0-devel >= 3.0.2
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(flac++)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soundtouch)
BuildRequires:	pkgconfig(soxr)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(suil-0)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(vamp-sdk)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(zlib)
Requires:	suil-qt4-in-gtk2
Requires:	suil-x11-in-gtk2

%description
Audacity is a program that lets you manipulate digital audio waveforms.
In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%files -f %{name}.lang
%doc LICENSE.txt README.txt
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-minsrc-%{version}
%patch0 -p1

# Remove local ffmpeg sources
rm -rf lib-src/ffmpeg

# Fix perms
chmod 644 *.txt
find . -name *.cpp -o -name *.h | xargs chmod 0644


%build
aclocal -I m4
autoconf
# Our portaudio and portmidi are too old:
# use local copies instead
%configure2_5x \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-optimise \
	--enable-unicode \
	--enable-ladspa \
	--enable-nyquist \
	--enable-vst \
	--with-expat \
	--with-id3tag \
	--with-lame \
	--with-libflac \
	--with-libmad \
	--with-libsamplerate \
	--with-libsndfile \
	--with-libsoxr \
	--with-libtwolame \
	--with-lv2 \
	--with-midi=local \
	--with-nyquist=local \
	--with-portaudio=local \
	--with-soundtouch \
	--with-vorbis \
	--with-widgetextra=local \
	--with-ffmpeg
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/audacity.mo
cp %{SOURCE1} %{buildroot}%{_datadir}/locale/ru/LC_MESSAGES/audacity.mo

%find_lang %{name}

# Clean uneeded things, installed but not packaged...
rm -rf %{buildroot}%{_docdir}/%{name}
# ...and useless (?) include files
rm -rf %{buildroot}%{_datadir}/%{name}/include

#gw work around bug #52526
mkdir -p %{buildroot}%{_datadir}/%{name}/help/manual

desktop-file-install \
	--add-category="GTK" \
	--add-category="X-MandrivaLinux-CrossDesktop" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%changelog
